crypton-connection-0.4.5: Simple and easy network connection API

Safe Haskell | None
Language | Haskell2010

Network.Connection.Internal

Synopsis

- data ConnectionContext = ConnectionContext {
  - globalCertificateStore :: !CertificateStore
  }

# Documentation

data ConnectionContext Source #

Shared values (certificate store, sessions, ..) between connections

At the moment, this is only strictly needed to shared sessions and certificates when using a TLS enabled connection.

Constructors

ConnectionContext |

Fields

- globalCertificateStore :: !CertificateStore